About office layout drawings

Show me an example

Use the Office Layout template to draw layouts for individual offices—including walls, electrical symbols, cubicle layouts, office furniture, and office accessories.

Create an office layout drawing


Create an office layout drawing

Show me an example

  1. On the File menu, point to New, point to Building Plan, and then click Office Layout.

By default, this solution opens a scaled drawing page in landscape orientation Wide page. You can change these settings at any time.

  2. Create the wall structure for the office layout.

Click to show or hide information. Using Room shapes

  1. Drag one of the Room shapes onto the drawing page.

The room has walls with dimensions.

  2. Resize the room by dragging the control handles [image] and selection handles [image] on individual walls.

The value indicating wall length updates automatically.

Click to show or hide information. Using Wall shapes

  1. Drag Wall shapes onto the drawing page.
  2. Resize a wall by dragging an endpoint ( [image] or [image]).

The wall's length is displayed when the wall is selected and is updated automatically when the wall is resized.

  3. Join the walls.

Click to show or hide information. How?

Drag an endpoint of one wall to any point on another wall. The endpoint turns red when the walls are glued.

Note For walls to join properly, Glue to Shape geometry must be selected in the Snap & Glue dialog box.

(A) An endpoint on one wall being dragged to another wall; (B) the two walls, joined together

When two walls are joined (A), the intersections between them are cleaned up automatically (B).

Wall shapes that are joined perpendicular to each other and at an angle to each other

Walls can be joined perpendicular to each other (A), or at an angle to each other (B).

(A) Two wall segments that form an X, not joined; (B) three wall segments that form an X, joined together

Two overlapping walls will not join in the middle to form four corner joints (A). You must use three walls to form this type of intersection (B).

Click to show or hide information. Tip

Use a Room shape to create the basic exterior wall structure of your building, and then add Wall shapes to create individual offices.

  3. Add door and window shapes.

Click to show or hide information. How?

  1. Drag door and window shapes onto the drawing page and position them on top of walls.

Doors and windows automatically:

  • Rotate to align with walls and glue themselves to walls.
  • Acquire the thickness of walls.
  • Move with walls when you reposition walls.
  2. To reverse door and window openings, select one or more doors or windows. Right-click the selected shape(s), and then click the appropriate reverse opening command.

A door shape positioned on top of a wall

A door or window positioned on top of a wall rotates to align with the wall.

A window shape positioned on top of a curved wall

A door or window positioned on top of a curved wall rotates to align with the wall.

  4. Add electrical symbols.

Click to show or hide information. How?

  1. From the Office Equipment stencil, drag electrical symbols on top of walls. Release the mouse button when a red square [image] appears, indicating that the symbol is glued to the wall.

When you drag these electrical symbols onto wall shapes, they automatically rotate to align with and glue to the wall.

  2. To change the orientation of the electrical symbol in relation to the wall, right-click the shape on the drawing page, and then click Flip Orientation.

Electrical symbols on walls

When you drag electrical symbols onto wall shapes (A), they automatically rotate to align with and glue to the wall (B). Use the Flip Orientation command to change the orientation of an electrical symbol in relation to the wall (C).

  5. Add cubicles, office furniture and office equipment by dragging shapes from the stencils.
  6. Assign custom properties to office layout shapes, and then generate an inventory report.

Click to show or hide information. Enter custom property values

  1. On the View menu, click Custom Properties Window.
  2. On the drawing page, select the shape to which you would like to add data.
  3. Click in each custom property field and type or select a value.

Click to show or hide information. Generate an inventory report

  1. On the Tools menu, click Report.
  2. Create a custom report definition or skip to step 3 to use an existing report definition.

Click to show or hide information. Create a custom report

  1. Click New.
  2. Follow the wizard pages to create a report definition.
  3. When you return to the Report dialog box, you can run the report or click OK to save your definition and run it later.

Click to show or hide information. Tip

To create a new report definition based on an existing one, in the Report dialog box, select the existing definition, and then click New. Save the modified report definition with a new name.

  3. In the Report Definitions list, click the name of the report definition you want to use.

The report definition determines which shapes are reported on and which custom properties are included in your report.

  4. Click Run, and then in the Run Report dialog box, click the report format you want.
  5. Do one of the following:
  • If you are saving your report as a shape on the drawing, choose whether to save a copy of the report definition with the shape or link to a report definition.
  • If you are saving your report as a file, type a name for the report.
  6. To generate the report, click OK.
  7. If you ran a custom report, when you return to the Report dialog box, click OK to save your definition.


Office layout drawing example

Office with furniture